import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-13 16:31
 */
export interface BusOrder {
    /**
    *
    * @type { string }
    */
    orderNo?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    openId?: string;
    /**
    * 入口APPID
    * @type { string }
    */
    enterAppId?: string;
    /**
    *
    * @type { string }
    */
    enterOpenId?: string;
    /**
    *
    * @type { string }
    */
    mchId?: string;
    /**
    *
    * @type { string }
    */
    subMchId?: string;
    /**
    *
    * @type { string }
    */
    transactionId?: string;
    /**
    *
    * @type { string }
    */
    orderCategory?: string;
    /**
    * 支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币
    * @type { string }
    */
    paymentMethod?: string;
    /**
    * 银行卡类型
    * @type { string }
    */
    bankType?: string;
    /**
    * 订单支付来源：00:微信/01:支付宝/02:H5/03:APP
    * @type { string }
    */
    origin?: string;
    /**
    *
    * @type { string }
    */
    lotOrderId?: string;
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    carPlateNum?: string;
    /**
    *
    * @type { string }
    */
    activityId?: string;
    /**
    *
    * @type { string }
    */
    couponInfoId?: string;
    /**
    * 车场金额额
    * @type { number }
    */
    parkingTotalFee?: number;
    /**
    *
    * @type { number }
    */
    totalFee?: number;
    /**
    * 优惠费用主体
    * @type { string }
    */
    couponSubject?: string;
    /**
    *
    * @type { number }
    */
    couponFee?: number;
    /**
    *
    * @type { number }
    */
    cashFee?: number;
    /**
    *
    * @type { string }
    */
    comeTime?: string;
    /**
    *
    * @type { string }
    */
    carImage?: string;
    /**
    *
    * @type { string }
    */
    outTime?: string;
    /**
    * 分钟
    * @type { number }
    */
    parkingTime?: number;
    /**
    *
    * @type { Date }
    */
    payTime?: Date;
    /**
    *
    * @type { string }
    */
    leaveTime?: string;
    /**
    * 预付费ID
    * @type { string }
    */
    prepayId?: string;
    /**
    *
    * @type { string }
    */
    attach?: string;
    /**
    *
    * @type { string }
    */
    remark?: string;
    /**
    * 是否删除 Y：是，N：否
    * @type { string }
    */
    isDeleted?: string;
    /**
    *
    * @type { string }
    */
    sendType?: string;
    /**
    * 00:已支付,01:未支付,02:支付失败
    * @type { string }
    */
    tradeState?: string;
    /**
    *
    * @type { string }
    */
    refundState?: string;
    /**
    *
    * @type { string }
    */
    sendState?: string;
    /**
    * 分区ID
    * @type { string }
    */
    regionId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusOrderMI {
    static get ORDER_NO(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get OPEN_ID(): FieldInfo;
    static get ENTER_APP_ID(): FieldInfo;
    static get ENTER_OPEN_ID(): FieldInfo;
    static get MCH_ID(): FieldInfo;
    static get SUB_MCH_ID(): FieldInfo;
    static get TRANSACTION_ID(): FieldInfo;
    static get ORDER_CATEGORY(): FieldInfo;
    static get PAYMENT_METHOD(): FieldInfo;
    static get BANK_TYPE(): FieldInfo;
    static get ORIGIN(): FieldInfo;
    static get LOT_ORDER_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get ACTIVITY_ID(): FieldInfo;
    static get COUPON_INFO_ID(): FieldInfo;
    static get PARKING_TOTAL_FEE(): FieldInfo;
    static get TOTAL_FEE(): FieldInfo;
    static get COUPON_SUBJECT(): FieldInfo;
    static get COUPON_FEE(): FieldInfo;
    static get CASH_FEE(): FieldInfo;
    static get COME_TIME(): FieldInfo;
    static get CAR_IMAGE(): FieldInfo;
    static get OUT_TIME(): FieldInfo;
    static get PARKING_TIME(): FieldInfo;
    static get PAY_TIME(): FieldInfo;
    static get LEAVE_TIME(): FieldInfo;
    static get PREPAY_ID(): FieldInfo;
    static get ATTACH(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get IS_DELETED(): FieldInfo;
    static get SEND_TYPE(): FieldInfo;
    static get TRADE_STATE(): FieldInfo;
    static get REFUND_STATE(): FieldInfo;
    static get SEND_STATE(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-13 16:31
 */
export interface ApiAppConfig {
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    * 应用代码（生产环境、测试环境是统一的）
    * @type { string }
    */
    appCode?: string;
    /**
    *
    * @type { string }
    */
    appName?: string;
    /**
    *
    * @type { string }
    */
    secret?: string;
    /**
    *
    * @type { boolean }
    */
    isEncrypt?: boolean;
    /**
    *
    * @type { string }
    */
    aesKey?: string;
    /**
    *
    * @type { boolean }
    */
    isParkingFunc?: boolean;
    /**
    *
    * @type { boolean }
    */
    isPostpaidFunc?: boolean;
    /**
    *
    * @type { boolean }
    */
    isMercahntFunc?: boolean;
    /**
    * 预约车功能
    * @type { boolean }
    */
    isReserveFunc?: boolean;
    /**
    * 固定车功能
    * @type { boolean }
    */
    isFixedcarFunc?: boolean;
    /**
    *
    * @type { boolean }
    */
    isNotifyFunc?: boolean;
    /**
    * 车场通道功能
    * @type { boolean }
    */
    isChannelFunc?: boolean;
    /**
    * 推送标识
    * @type { string }
    */
    pushSign?: string;
    /**
    *
    * @type { string }
    */
    notifyInfo?: string;
    /**
    *
    * @type { string }
    */
    notifyUrl?: string;
    /**
    * 车场提前缴费类型
    * @type { string }
    */
    lotPreType?: string;
    /**
    * 信用类型
    * @type { number }
    */
    creditType?: number;
    /**
    * 协议的余额或限额
    * @type { number }
    */
    creditLimit?: number;
    /**
    * 限制类型
    * @type { string }
    */
    limitType?: string;
    /**
    * 1 表示测试模式
    * @type { boolean }
    */
    isDebug?: boolean;
    /**
    * 1表示启用/0表示禁用
    * @type { boolean }
    */
    status?: boolean;
    /**
    *
    * @type { string }
    */
    remark?: string;
}
export declare class ApiAppConfigMI {
    static get APP_ID(): FieldInfo;
    static get APP_CODE(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get SECRET(): FieldInfo;
    static get IS_ENCRYPT(): FieldInfo;
    static get AES_KEY(): FieldInfo;
    static get IS_PARKING_FUNC(): FieldInfo;
    static get IS_POSTPAID_FUNC(): FieldInfo;
    static get IS_MERCAHNT_FUNC(): FieldInfo;
    static get IS_RESERVE_FUNC(): FieldInfo;
    static get IS_FIXEDCAR_FUNC(): FieldInfo;
    static get IS_NOTIFY_FUNC(): FieldInfo;
    static get IS_CHANNEL_FUNC(): FieldInfo;
    static get PUSH_SIGN(): FieldInfo;
    static get NOTIFY_INFO(): FieldInfo;
    static get NOTIFY_URL(): FieldInfo;
    static get LOT_PRE_TYPE(): FieldInfo;
    static get CREDIT_TYPE(): FieldInfo;
    static get CREDIT_LIMIT(): FieldInfo;
    static get LIMIT_TYPE(): FieldInfo;
    static get IS_DEBUG(): FieldInfo;
    static get STATUS(): FieldInfo;
    static get REMARK(): FieldInfo;
}
